org.jboss.jca.adapters.jdbc

## Class JBossWrapper

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.JBossWrapper

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CachedPreparedStatement, WrappedConnection, WrappedResultSet, WrappedStatement, WrapperDataSource

      public class JBossWrapper
      extends java.lang.Object
      implements java.io.Serializable

  JBossWrapper.
  Author:
    Adrian Brock, Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.jca.adapters.AdaptersBundle` | `bundle` The bundle

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JBossWrapper()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `getWrappedObject()` Get the wrapped object - override in sub-classes
    `boolean` | `isWrapperFor(java.lang.Class<?> iface)` Is a wrapper for
    `<T> T` | `unwrap(java.lang.Class<T> iface)` Unwrap

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bundle

          protected static org.jboss.jca.adapters.AdaptersBundle bundle

      The bundle

  - ### Constructor Detail

    - #### JBossWrapper

          public JBossWrapper()

      Constructor

  - ### Method Detail

    - #### isWrapperFor

          public boolean isWrapperFor(java.lang.Class<?> iface)
                               throws java.sql.SQLException

      Is a wrapper for
      Parameters:
        `iface` - The interface
      Returns:
        True if wrapper; false otherwise
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### unwrap

          public <T> T unwrap(java.lang.Class<T> iface)
                       throws java.sql.SQLException

      Unwrap
      Type Parameters:
        `T` - the type
      Parameters:
        `iface` - The interface
      Returns:
        The object
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### getWrappedObject

          protected java.lang.Object getWrappedObject()
                                               throws java.sql.SQLException

      Get the wrapped object - override in sub-classes
      Returns:
        The object
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)